Skip to main content
POST
/
agents
/
{agent_id}
/
notifications
/
webhook
Register a webhook subscription for an agent's card changes.
curl --request POST \
  --url https://api.mnemom.ai/v1/agents/{agent_id}/notifications/webhook \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "webhook_url": "<string>",
  "consumer_id": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "subscription_id": "<string>",
  "webhook_url": "<string>",
  "secret": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Path Parameters

agent_id
string
required

Body

application/json
webhook_url
string<uri>
required
consumer_id
string
expires_at
string<date-time>

Response

Subscription created or updated.

subscription_id
string
required
webhook_url
string<uri>
required
secret
string
required

Shown exactly once; store it server-side.

expires_at
string<date-time>
required